> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Link Short

> Endpoint PATCH /v1/short

`PATCH` `/v1/short`

## Body

```json theme={null}
{
  "idUrl": "ID_SHORT_LINK",
  "token": "TOKEN_SHIMLI",
  "longUrl": "NEW_URL_LONG"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X PATCH https://api.shimli.app/v1/short \
  -H "Content-Type: application/json" \
  -d '{
    "idUrl": "ID_SHORT_LINK",
    "token": "TOKEN_SHIMLI",
    "longUrl": "NEW_URL_LONG"
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
